SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [SearchConfig](
	[ConfigID] [int] IDENTITY(1,1) NOT NULL,
	[HotWords] [nvarchar](100) NULL,
	[Searcher] [varchar](50) NULL CONSTRAINT [DF_SearchConfig_Searcher]  DEFAULT ('like'),
	[WordSegmentation] [varchar](50) NULL,
	[IndexPath] [varchar](100) NULL,
 CONSTRAINT [PK_SearchConfig] PRIMARY KEY CLUSTERED 
(
	[ConfigID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET IDENTITY_INSERT [SearchConfig] ON 

INSERT [SearchConfig] ([ConfigID], [HotWords], [Searcher], [WordSegmentation], [IndexPath]) VALUES (1, N'螺纹钢;塑料;橡胶;针织面料;纸包装', N'lucence', N'StandardAnalyzer', N'Upload/Index/')
SET IDENTITY_INSERT [SearchConfig] OFF
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'搜索热词,每个词使用分号隔开' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'SearchConfig', @level2type=N'COLUMN',@level2name=N'HotWords'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'搜索器选择,如like,lucene' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'SearchConfig', @level2type=N'COLUMN',@level2name=N'Searcher'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'分词算法' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'SearchConfig', @level2type=N'COLUMN',@level2name=N'WordSegmentation'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'索引保存位置' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'SearchConfig', @level2type=N'COLUMN',@level2name=N'IndexPath'
GO
